Loading...
Searching...
No Matches
BALL::VIEW::MinimizationDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/minimizationDialog.h>`

Inheritance diagram for BALL::VIEW::MinimizationDialog:

## Public Slots

virtual void | accept ()
void | advancedOptions ()
| Show an dialog for setting the options of the currently selected force field.

## Public Member Functions

| MinimizationDialog (QWidget *parent=NULL, const char *name="MinimizationDialog")
| Constructor.
virtual | ~MinimizationDialog ()
| Destructor.
Size | getMaxIterations () const
| Get the maximum number of iterations of the minimizer.
void | setMaxIterations (Size n)
| Set the maximum number of iterations for the minimizer.
Size | getRefresh () const
| Get the number of steps between the Scene refresh.
void | setRefresh (Size n)
| Set the number of steps between the Scene refreshs.
double | getMaxGradient () const
void | setMaxGradient (double max_gradient)
double | getEnergyDifference () const
void | setEnergyDifference (double energy_difference)
bool | getUseStrangLBFGS () const
void | setUseStrangLBFGS (bool use_LBFGS)
bool | getUseShiftedLVMM () const
void | setUseShiftedLVMM (bool use_shifted)
bool | getUseConjugateGradient () const
void | setUseConjugateGradient (bool use_CG)
void | setAmberDialog (AmberConfigurationDialog *amber_dialog)
void | setCharmmDialog (CharmmConfigurationDialog *charmm_dialog)
void | setMMFF94Dialog (MMFF94ConfigurationDialog *dialog)
void | selectForceField (Position nr)
| Select the forcefield, nr are the enum values in MolecularStructure.
Position | selectedForceField () const
| Return the ID of the selected forcefield (see enum values in MolecularStructure).
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for performing energy minimisations

Definition at line 29 of file minimizationDialog.h.

## Constructor & Destructor Documentation

## MinimizationDialog()

BALL::VIEW::MinimizationDialog::MinimizationDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "MinimizationDialog" )

Constructor.

## ~MinimizationDialog()

virtual BALL::VIEW::MinimizationDialog::~MinimizationDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

virtual void BALL::VIEW::MinimizationDialog::accept | ( |  | ) |

virtual slot

## advancedOptions

void BALL::VIEW::MinimizationDialog::advancedOptions | ( |  | ) |

slot

Show an dialog for setting the options of the currently selected force field.

## getEnergyDifference()

double BALL::VIEW::MinimizationDialog::getEnergyDifference | ( |  | ) | const

## getMaxGradient()

double BALL::VIEW::MinimizationDialog::getMaxGradient | ( |  | ) | const

## getMaxIterations()

Size BALL::VIEW::MinimizationDialog::getMaxIterations | ( |  | ) | const

Get the maximum number of iterations of the minimizer.

## getRefresh()

Size BALL::VIEW::MinimizationDialog::getRefresh | ( |  | ) | const

Get the number of steps between the Scene refresh.

## getUseConjugateGradient()

bool BALL::VIEW::MinimizationDialog::getUseConjugateGradient | ( |  | ) | const

## getUseShiftedLVMM()

bool BALL::VIEW::MinimizationDialog::getUseShiftedLVMM | ( |  | ) | const

## getUseStrangLBFGS()

bool BALL::VIEW::MinimizationDialog::getUseStrangLBFGS | ( |  | ) | const

## selectedForceField()

Position BALL::VIEW::MinimizationDialog::selectedForceField | ( |  | ) | const

Return the ID of the selected forcefield (see enum values in MolecularStructure).

## selectForceField()

void BALL::VIEW::MinimizationDialog::selectForceField | ( | Position | nr | ) |

Select the forcefield, nr are the enum values in MolecularStructure.

## setAmberDialog()

void BALL::VIEW::MinimizationDialog::setAmberDialog | ( | AmberConfigurationDialog * | amber_dialog | ) |

Set the dialog for the AMBER Configuration. Called by MolecularStructure.

## setCharmmDialog()

void BALL::VIEW::MinimizationDialog::setCharmmDialog | ( | CharmmConfigurationDialog * | charmm_dialog | ) |

Set the dialog for the CHARMM Configuration. Called by MolecularStructure.

## setEnergyDifference()

void BALL::VIEW::MinimizationDialog::setEnergyDifference | ( | double | energy_difference | ) |

## setMaxGradient()

void BALL::VIEW::MinimizationDialog::setMaxGradient | ( | double | max_gradient | ) |

## setMaxIterations()

void BALL::VIEW::MinimizationDialog::setMaxIterations | ( | Size | n | ) |

Set the maximum number of iterations for the minimizer.

## setMMFF94Dialog()

void BALL::VIEW::MinimizationDialog::setMMFF94Dialog | ( | MMFF94ConfigurationDialog * | dialog | ) |

## setRefresh()

void BALL::VIEW::MinimizationDialog::setRefresh | ( | Size | n | ) |

Set the number of steps between the Scene refreshs.

## setUseConjugateGradient()

void BALL::VIEW::MinimizationDialog::setUseConjugateGradient | ( | bool | use_CG | ) |

## setUseShiftedLVMM()

void BALL::VIEW::MinimizationDialog::setUseShiftedLVMM | ( | bool | use_shifted | ) |

## setUseStrangLBFGS()

void BALL::VIEW::MinimizationDialog::setUseStrangLBFGS | ( | bool | use_LBFGS | ) |